﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WGneu.Models
{
    [Table("member"), PrimaryKey("MgNr")]
    public class Member
    {
        [Column("mgnr")]
        public int MgNr { get; set; }

        [Column("given_name")]
        public string GivenName { get; set; }

        [Column("family_name")]
        public string FamilyName { get; set; }

        [Column("zwstid")]
        public string ZwstId { get; set; }

        [Column("country")]
        public string CountryCode { get; set; }
        
        [Column("postal_dest")]
        public string PostalDestId { get; set; }

        [Column("address")]
        public string Address { get; set; }

        [Column("default_kgnr")]
        public int DefaultKgNr { get; set; }

        [ForeignKey("CountryCode")]
        public virtual Country Country { get; set; }
         
        [ForeignKey("CountryCode, PostalDestId")]
        public virtual PostalDest PostalDest { get; set; }

        [ForeignKey("DefaultKgNr")]
        public virtual AT_Kg DefaultKg { get; set; }

        [ForeignKey("ZwstId")]
        public virtual Branch Branch { get; set; }
    }
}
